> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/gateway.md).

# Gateway

## List

> Retrieve a list of all the RAS Secure Gateway Servers.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Gateway":{"get":{"tags":["0-Infrastructure/Secure Gateways//0-Basic Operations"],"summary":"List","description":"Retrieve a list of all the RAS Secure Gateway Servers.","operationId":"f9461206-0d52-4dce-9684-d48a62ba9dbf","parameters":[{"name":"SiteId","in":"query","description":"Site ID of which the RAS Secure Gateway Servers will be retrieved (optional)","schema":{"type":"integer","format":"int32"}},{"name":"Server","in":"query","description":"Filter the result by server name (optional)","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Gateway"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"Gateway":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"server":{"type":"string","description":"<para type=\"description\">Server name.</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the server is enabled or not.</para>"},"description":{"type":"string","description":"<para type=\"description\">Description of the server.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">ID of the site.</para>","format":"int32"},"publicAddress":{"type":"string","description":"<para type=\"description\">The Public Address of the RAS Secure Gateway.</para>","nullable":true},"ipVersion":{"$ref":"#/components/schemas/IPVersion"},"iPs":{"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) IP addresses.</para>","nullable":true},"bindV4Addresses":{"type":"string","description":"<para type=\"description\">IPv4 address to bind to.</para>","nullable":true},"optimizeConnectionIPv4":{"type":"string","description":"<para type=\"description\">Optimize connection for the list of IPv4 (comma separated values).</para>","nullable":true},"bindV6Addresses":{"type":"string","description":"<para type=\"description\">IPv6 address to bind to.</para>","nullable":true},"optimizeConnectionIPv6":{"type":"string","description":"<para type=\"description\">Optimize connection for the list of IPv6 (comma separated values).</para>","nullable":true},"inheritDefaultModeSettings":{"type":"boolean","description":"<para type=\"description\">Whether default mode settings are enabled or disabled.</para>"},"inheritDefaultNetworkSettings":{"type":"boolean","description":"<para type=\"description\">Whether default network settings are enabled or disabled.</para>"},"inheritDefaultSslTlsSettings":{"type":"boolean","description":"<para type=\"description\">Whether default SSL/TLS settings are enabled or disabled.</para>"},"inheritDefaultUserPortalSettings":{"type":"boolean","description":"<para type=\"description\">Whether default User Portal settings are enabled or disabled.</para>"},"inheritDefaultWyseSettings":{"type":"boolean","description":"<para type=\"description\">Whether default wyse settings are enabled or disabled.</para>"},"inheritDefaultSecuritySettings":{"type":"boolean","description":"<para type=\"description\">Whether default security settings are enabled or disabled.</para>"},"inheritDefaultWebSettings":{"type":"boolean","description":"<para type=\"description\">Whether default web settings are enabled or disabled.</para>"},"mode":{"$ref":"#/components/schemas/GatewayMode"},"normalModeForwarding":{"type":"boolean","description":"<para type=\"description\">Whether forwarding requests to HTTP server are enabled or disabled.</para>"},"forwardGatewayServers":{"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) RAS Forwarding Secure Gateway Servers.</para>","nullable":true},"preferredConnectionBrokerId":{"type":"integer","description":"<para type=\"description\">ID of the Preferred Connection Broker.</para>","format":"int32"},"forwardHttpServers":{"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) Forwarding HTTP Servers.</para>","nullable":true},"enableGatewayPort":{"type":"boolean","description":"<para type=\"description\">Whether a custom RAS Secure Gateway port is enabled or disabled.</para>"},"gatewayPort":{"type":"integer","description":"<para type=\"description\">A custom RAS Secure Gateway port number.</para>","format":"int32"},"onlyAllowAcmeHttp":{"type":"boolean","description":"<para type=\"description\">Whether to ignore all incoming requests except for Acme ones received on 'GatewayPort'</para>"},"enableRDP":{"type":"boolean","description":"<para type=\"description\">Whether a custom RDP port is enabled or disabled.</para>"},"rdpPort":{"type":"integer","description":"<para type=\"description\">A custom RDP port number.</para>","format":"int32"},"broadcast":{"type":"boolean","description":"<para type=\"description\">Whether the 'Broadcast RAS Secure Gateway Address' option is enabled or disabled.</para>"},"enableRDPUDP":{"type":"boolean","description":"<para type=\"description\">Whether the 'RDP UDP Data Tunneling' option is enabled or disabled.</para>"},"enableDeviceManagerPort":{"type":"boolean","description":"<para type=\"description\">Whether the 'Device Manager Port' option is enabled or disabled.</para>"},"dosPro":{"type":"boolean","description":"<para type=\"description\">Whether the 'RDP DOS Attack Filter' option is enabled or disabled.</para>"},"enableSSL":{"type":"boolean","description":"<para type=\"description\">Whether SSL is enabled or disabled.</para>"},"sslPort":{"type":"integer","description":"<para type=\"description\">SSL port number.</para>","format":"int32"},"minSSLVersion":{"$ref":"#/components/schemas/AcceptedSSLVersion"},"cipherStrength":{"$ref":"#/components/schemas/CipherStrength"},"cipher":{"type":"string","description":"<para type=\"description\">Cipher string.</para>","nullable":true},"cipherPreference":{"type":"boolean","description":"<para type=\"description\">Enable or disable Use ciphers according to server preference.</para>"},"certificateId":{"type":"integer","description":"<para type=\"description\">The ID of the specific Certificate to be used.</para>","format":"int32"},"enableHSTS":{"type":"boolean","description":"<para type=\"description\">Whether HSTS is enabled or disabled.</para>"},"hstsMaxAge":{"type":"integer","description":"<para type=\"description\">Set Maximum Age of HSTS.</para>","format":"int32"},"hstsIncludeSubdomains":{"type":"boolean","description":"<para type=\"description\">Whether HSTS to include subdomains option is enabled or disabled.</para>"},"hstsPreload":{"type":"boolean","description":"<para type=\"description\">Whether HSTS to preload option is enabled or disabled.</para>"},"enableUserPortal":{"type":"boolean","description":"<para type=\"description\">Whether User Portal connectivity on the RAS Secure Gateway is enabled or disabled.</para>"},"userPortalPort":{"type":"integer","description":"<para type=\"description\">A custom User Portal port number.</para>","format":"int32"},"launchMethod":{"$ref":"#/components/schemas/LaunchMethod"},"allowLaunchMethod":{"type":"boolean","description":"<para type=\"description\">Allow users to select a resource launch method.</para>"},"allowAppsInNewTab":{"type":"boolean","description":"<para type=\"description\">Allow users to start applications in a new browser tab.</para>"},"usePreWin2000LoginFormat":{"type":"boolean","description":"<para type=\"description\">Whether the 'Use Pre Windows 2000 Login Format' option is enabled or disabled.</para>"},"allowEmbed":{"type":"boolean","description":"<para type=\"description\">Allow embedding of Web Client into other web pages.</para>"},"useAutoKeyboardDetect":{"type":"boolean","description":"<para type=\"description\">Use automatic keyboard layout detection.</para>"},"fileTransferMode":{"$ref":"#/components/schemas/FileTransferControlMode"},"clipboardDirection":{"$ref":"#/components/schemas/ClipboardDirections"},"allowCORS":{"type":"boolean","description":"<para type=\"description\">Allow cross-origin resource sharing.</para>"},"useClientIPDetectionService":{"type":"boolean","description":"<para type=\"description\">Use Client IP detection service.</para>"},"clientIPPDetectionServiceURL":{"type":"string","description":"<para type=\"description\">Client IP detection service URL.</para>","nullable":true},"detectClientMode":{"$ref":"#/components/schemas/DetectClientMode"},"clientDetectionTimeout":{"type":"integer","description":"<para type=\"description\">Client detection timeout in seconds.</para>","format":"int32"},"browserCacheTimeInMonths":{"type":"integer","description":"<para type=\"description\">How long should the browser preserve the cache (in months).</para>","format":"int32"},"allowedDomainsForCORS":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Allowed domains for cross-origin resource sharing.</para>","nullable":true},"enableAlternateNLBHost":{"type":"boolean","description":"<para type=\"description\">Whether alternate NLB Host is enabled or disabled.</para>"},"alternateNLBHost":{"type":"string","description":"<para type=\"description\">Alternate NLB Host name.</para>","nullable":true},"enableAlternateNLBPort":{"type":"boolean","description":"<para type=\"description\">Whether alternate NLB Port is enabled or disabled.</para>"},"alternateNLBPort":{"type":"integer","description":"<para type=\"description\">Alternate NLB Port number.</para>","format":"int32"},"enableWyseSupport":{"type":"boolean","description":"<para type=\"description\">Whether support for Wyse Thin Client OS is enabled or disabled.</para>"},"disableWyseCertWarn":{"type":"boolean","description":"<para type=\"description\">Whether warning if server certificate is not verified is enabled or disabled.</para>"},"securityMode":{"$ref":"#/components/schemas/GatewaySecurityMode"},"macAllowExcept":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Lists all the Security 'MAC Allow Except' MAC addresses.</para>","nullable":true},"macAllowOnly":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Lists all the Security 'MAC Allow Only' MAC addresses.</para>","nullable":true},"blockAccessStandardRASSessions":{"type":"boolean","description":"<para type=\"description\">Blocks new authentication to standard RAS sessions, preventing application listing and remote session launch. Existing sessions are not affected.</para>"},"blockAccessUserPortal":{"type":"boolean","description":"<para type=\"description\">Blocks access to the User Portal user interface, including portal login and related pages such as cookie policy and download. Other APIs may still be used.</para>"},"blockAccessSessionLaunchWebAPI":{"type":"boolean","description":"<para type=\"description\">Blocks new session launch through the Web API. Existing sessions are not affected.</para>"},"blockAccessSessionLaunchCBAPI":{"type":"boolean","description":"<para type=\"description\">Blocks new session launch through the Connection Broker API. Existing sessions are not affected.</para>"},"blockAccessDeprecatedWebAPI":{"type":"boolean","description":"<para type=\"description\">Blocks deprecated Web APIs to reduce security and compatibility risks.</para>"},"connectionLimits":{"$ref":"#/components/schemas/GWConnectionLimits"},"webAPISecret":{"type":"string","description":"<para type=\"description\">The secret used in the JWT (JSON Web Token) for data exchanged between the caller and User portal.</para>","nullable":true},"webRequestsURL":{"type":"string","description":"<para type=\"description\">The URL for Web requests.</para>","nullable":true},"webCookie":{"type":"string","description":"<para type=\"description\">The Web Cookie Name used by RAS.</para>","nullable":true},"useSecureWebCookie":{"type":"boolean","description":"<para type=\"description\">Adds the secure attribute to the cookie to the Web Cookie.</para>"},"allowWebSocketsWithMissingOrigin":{"type":"boolean","description":"<para type=\"description\">Allow Web Sockets with missing origin.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Secure Gateway</para>\r\n<para type=\"description\"></para>"},"IPVersion":{"enum":[["0 = Version4","1 = Version6","2 = BothVersions"]],"type":"string","description":"<para type=\"synopsis\">IP Version</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewayMode":{"enum":[["0 = Normal","1 = Forwarding"]],"type":"string","description":"<para type=\"synopsis\">RAS Secure GateWay Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"AcceptedSSLVersion":{"enum":[["2 = TLSv1","3 = TLSv1_1","4 = TLSv1_2","5 = TLSv1_3"]],"type":"string","description":"<para type=\"synopsis\">Accepted SSL Versions</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"CipherStrength":{"enum":[["0 = Low","1 = Medium","2 = High","3 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Cipher Strength</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"LaunchMethod":{"enum":[["0 = ParallelsClientAndWebClient","1 = ParallelsClient","2 = WebClient"]],"type":"string","description":"<para type=\"synopsis\">LaunchMethod</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"FileTransferControlMode":{"enum":[["0 = Disabled","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string","description":"<para type=\"synopsis\">File Transfer Control modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ClipboardDirections":{"enum":[["0 = None","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Clipboard Direction Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DetectClientMode":{"enum":[["0 = Automatic","1 = Manual"]],"type":"string","description":"<para type=\"synopsis\">Detect Client Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaySecurityMode":{"enum":[["0 = AllowAllExcept","1 = AllowOnly"]],"type":"string","description":"<para type=\"synopsis\">Security Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GWConnectionLimits":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the gateway limits are enabled or disabled.</para>"},"blockedTimeout":{"type":"integer","description":"<para type=\"description\">Client: The blocked timeout in minutes.</para>","format":"int32"},"allClientConnectionsLimit":{"type":"integer","description":"<para type=\"description\">Client: The maximum number of All Client Connections allowed (0 = Unlimited).</para>","format":"int32"},"backendLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Backend connections allowed (0 = Unlimited).</para>","format":"int32"},"allConnectionsLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of All Connections allowed (0 = Unlimited).</para>","format":"int32"},"excludedIPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IP4Range"},"description":"<para type=\"description\">Lists the excluded IPv4 addresses.</para>","nullable":true},"userPortalLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of User Portal connections allowed (0 = Unlimited).</para>","format":"int32"},"httpLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of HTTP connections allowed (0 = Unlimited).</para>","format":"int32"},"wyseLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of WYSE connections allowed (0 = Unlimited).</para>","format":"int32"},"clientLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Client connections allowed (0 = Unlimited).</para>","format":"int32"},"clientNewAuthLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Client NewAuth connections allowed (0 = Unlimited).</para>","format":"int32"},"clientTunnelingViaAPILimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Client Tunneling via API connections allowed (0 = Unlimited).</para>","format":"int32"},"excludedIPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IP6Range"},"description":"<para type=\"description\">Lists the excluded IPv6 addresses.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Secure Gateway Connection Limits</para>\r\n<para type=\"description\"></para>"},"IP4Range":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The IPv4 range</para>\r\n<para type=\"description\"></para>"},"IP6Range":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The IPv6 range</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Create

> Create a new RAS Secure Gateway Server.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Gateway":{"post":{"tags":["0-Infrastructure/Secure Gateways//0-Basic Operations"],"summary":"Create","description":"Create a new RAS Secure Gateway Server.","operationId":"f92c9c80-a06b-4572-9a0e-a0ba1c5e2610","parameters":[{"name":"noInstall","in":"query","description":"If this parameter is included, the RAS Secure Gateway software will not be installed on the target server.\r\n            The parameter should only be included if the server already has the software installed.\r\n            If you need to install the software, omit this parameter.\r\n            When installing the Gateway software, your RAS admin credentials will be used to push install the software. These are the credentials you used to connect to the RAS farm.\r\n            If needed, you can specify different credentials using the Username and Password parameters.","schema":{"type":"boolean"}},{"name":"username","in":"query","description":"An administrator account to push install the Gateway software on the target server.\r\n            If this parameter is omitted, your RAS admin username (and password) will be used","schema":{"type":"string"}},{"name":"password","in":"query","description":"The password of the account specified in the Username parameter.","schema":{"type":"string"}},{"name":"noRestart","in":"query","description":"Specifies not to restart the server after the RAS Gateway is installed.\r\n            If this parameter is omitted, the server will be restarted if required.","schema":{"type":"boolean"}},{"name":"noFireWallRules","in":"query","description":"Specifies not to add firewall rules to allow the RD Session Host Agent to communicate.\r\n            If this parameter is omitted, the firewall rules will not be added.","schema":{"type":"boolean"}}],"requestBody":{"description":"The RAS Secure Gateway server to be created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/NewGateway"}}}},"responses":{"201":{"description":"Created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/Gateway"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"NewGateway":{"required":["server"],"type":"object","properties":{"server":{"type":"string","description":"<para type=\"description\">FQDN or IP address of the server to be added to a site as a RAS Secure Gateway.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">The site ID to which the Secure Gateway should be added.</para>\r\n<para type=\"description\">To obtain the ID of a desired site, use the appropriate command to Get Sites.</para>\r\n<para type=\"description\">If the parameter is omitted, the site ID of the Licensing Server will be used.</para>","format":"int32"},"enableUserPortal":{"type":"boolean","description":"<para type=\"description\">Enable or disable User Portal connectivity on the Secure Gateway.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Create a new Secure Gateway</para>\r\n<para type=\"description\"></para>"},"Gateway":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"server":{"type":"string","description":"<para type=\"description\">Server name.</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the server is enabled or not.</para>"},"description":{"type":"string","description":"<para type=\"description\">Description of the server.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">ID of the site.</para>","format":"int32"},"publicAddress":{"type":"string","description":"<para type=\"description\">The Public Address of the RAS Secure Gateway.</para>","nullable":true},"ipVersion":{"$ref":"#/components/schemas/IPVersion"},"iPs":{"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) IP addresses.</para>","nullable":true},"bindV4Addresses":{"type":"string","description":"<para type=\"description\">IPv4 address to bind to.</para>","nullable":true},"optimizeConnectionIPv4":{"type":"string","description":"<para type=\"description\">Optimize connection for the list of IPv4 (comma separated values).</para>","nullable":true},"bindV6Addresses":{"type":"string","description":"<para type=\"description\">IPv6 address to bind to.</para>","nullable":true},"optimizeConnectionIPv6":{"type":"string","description":"<para type=\"description\">Optimize connection for the list of IPv6 (comma separated values).</para>","nullable":true},"inheritDefaultModeSettings":{"type":"boolean","description":"<para type=\"description\">Whether default mode settings are enabled or disabled.</para>"},"inheritDefaultNetworkSettings":{"type":"boolean","description":"<para type=\"description\">Whether default network settings are enabled or disabled.</para>"},"inheritDefaultSslTlsSettings":{"type":"boolean","description":"<para type=\"description\">Whether default SSL/TLS settings are enabled or disabled.</para>"},"inheritDefaultUserPortalSettings":{"type":"boolean","description":"<para type=\"description\">Whether default User Portal settings are enabled or disabled.</para>"},"inheritDefaultWyseSettings":{"type":"boolean","description":"<para type=\"description\">Whether default wyse settings are enabled or disabled.</para>"},"inheritDefaultSecuritySettings":{"type":"boolean","description":"<para type=\"description\">Whether default security settings are enabled or disabled.</para>"},"inheritDefaultWebSettings":{"type":"boolean","description":"<para type=\"description\">Whether default web settings are enabled or disabled.</para>"},"mode":{"$ref":"#/components/schemas/GatewayMode"},"normalModeForwarding":{"type":"boolean","description":"<para type=\"description\">Whether forwarding requests to HTTP server are enabled or disabled.</para>"},"forwardGatewayServers":{"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) RAS Forwarding Secure Gateway Servers.</para>","nullable":true},"preferredConnectionBrokerId":{"type":"integer","description":"<para type=\"description\">ID of the Preferred Connection Broker.</para>","format":"int32"},"forwardHttpServers":{"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) Forwarding HTTP Servers.</para>","nullable":true},"enableGatewayPort":{"type":"boolean","description":"<para type=\"description\">Whether a custom RAS Secure Gateway port is enabled or disabled.</para>"},"gatewayPort":{"type":"integer","description":"<para type=\"description\">A custom RAS Secure Gateway port number.</para>","format":"int32"},"onlyAllowAcmeHttp":{"type":"boolean","description":"<para type=\"description\">Whether to ignore all incoming requests except for Acme ones received on 'GatewayPort'</para>"},"enableRDP":{"type":"boolean","description":"<para type=\"description\">Whether a custom RDP port is enabled or disabled.</para>"},"rdpPort":{"type":"integer","description":"<para type=\"description\">A custom RDP port number.</para>","format":"int32"},"broadcast":{"type":"boolean","description":"<para type=\"description\">Whether the 'Broadcast RAS Secure Gateway Address' option is enabled or disabled.</para>"},"enableRDPUDP":{"type":"boolean","description":"<para type=\"description\">Whether the 'RDP UDP Data Tunneling' option is enabled or disabled.</para>"},"enableDeviceManagerPort":{"type":"boolean","description":"<para type=\"description\">Whether the 'Device Manager Port' option is enabled or disabled.</para>"},"dosPro":{"type":"boolean","description":"<para type=\"description\">Whether the 'RDP DOS Attack Filter' option is enabled or disabled.</para>"},"enableSSL":{"type":"boolean","description":"<para type=\"description\">Whether SSL is enabled or disabled.</para>"},"sslPort":{"type":"integer","description":"<para type=\"description\">SSL port number.</para>","format":"int32"},"minSSLVersion":{"$ref":"#/components/schemas/AcceptedSSLVersion"},"cipherStrength":{"$ref":"#/components/schemas/CipherStrength"},"cipher":{"type":"string","description":"<para type=\"description\">Cipher string.</para>","nullable":true},"cipherPreference":{"type":"boolean","description":"<para type=\"description\">Enable or disable Use ciphers according to server preference.</para>"},"certificateId":{"type":"integer","description":"<para type=\"description\">The ID of the specific Certificate to be used.</para>","format":"int32"},"enableHSTS":{"type":"boolean","description":"<para type=\"description\">Whether HSTS is enabled or disabled.</para>"},"hstsMaxAge":{"type":"integer","description":"<para type=\"description\">Set Maximum Age of HSTS.</para>","format":"int32"},"hstsIncludeSubdomains":{"type":"boolean","description":"<para type=\"description\">Whether HSTS to include subdomains option is enabled or disabled.</para>"},"hstsPreload":{"type":"boolean","description":"<para type=\"description\">Whether HSTS to preload option is enabled or disabled.</para>"},"enableUserPortal":{"type":"boolean","description":"<para type=\"description\">Whether User Portal connectivity on the RAS Secure Gateway is enabled or disabled.</para>"},"userPortalPort":{"type":"integer","description":"<para type=\"description\">A custom User Portal port number.</para>","format":"int32"},"launchMethod":{"$ref":"#/components/schemas/LaunchMethod"},"allowLaunchMethod":{"type":"boolean","description":"<para type=\"description\">Allow users to select a resource launch method.</para>"},"allowAppsInNewTab":{"type":"boolean","description":"<para type=\"description\">Allow users to start applications in a new browser tab.</para>"},"usePreWin2000LoginFormat":{"type":"boolean","description":"<para type=\"description\">Whether the 'Use Pre Windows 2000 Login Format' option is enabled or disabled.</para>"},"allowEmbed":{"type":"boolean","description":"<para type=\"description\">Allow embedding of Web Client into other web pages.</para>"},"useAutoKeyboardDetect":{"type":"boolean","description":"<para type=\"description\">Use automatic keyboard layout detection.</para>"},"fileTransferMode":{"$ref":"#/components/schemas/FileTransferControlMode"},"clipboardDirection":{"$ref":"#/components/schemas/ClipboardDirections"},"allowCORS":{"type":"boolean","description":"<para type=\"description\">Allow cross-origin resource sharing.</para>"},"useClientIPDetectionService":{"type":"boolean","description":"<para type=\"description\">Use Client IP detection service.</para>"},"clientIPPDetectionServiceURL":{"type":"string","description":"<para type=\"description\">Client IP detection service URL.</para>","nullable":true},"detectClientMode":{"$ref":"#/components/schemas/DetectClientMode"},"clientDetectionTimeout":{"type":"integer","description":"<para type=\"description\">Client detection timeout in seconds.</para>","format":"int32"},"browserCacheTimeInMonths":{"type":"integer","description":"<para type=\"description\">How long should the browser preserve the cache (in months).</para>","format":"int32"},"allowedDomainsForCORS":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Allowed domains for cross-origin resource sharing.</para>","nullable":true},"enableAlternateNLBHost":{"type":"boolean","description":"<para type=\"description\">Whether alternate NLB Host is enabled or disabled.</para>"},"alternateNLBHost":{"type":"string","description":"<para type=\"description\">Alternate NLB Host name.</para>","nullable":true},"enableAlternateNLBPort":{"type":"boolean","description":"<para type=\"description\">Whether alternate NLB Port is enabled or disabled.</para>"},"alternateNLBPort":{"type":"integer","description":"<para type=\"description\">Alternate NLB Port number.</para>","format":"int32"},"enableWyseSupport":{"type":"boolean","description":"<para type=\"description\">Whether support for Wyse Thin Client OS is enabled or disabled.</para>"},"disableWyseCertWarn":{"type":"boolean","description":"<para type=\"description\">Whether warning if server certificate is not verified is enabled or disabled.</para>"},"securityMode":{"$ref":"#/components/schemas/GatewaySecurityMode"},"macAllowExcept":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Lists all the Security 'MAC Allow Except' MAC addresses.</para>","nullable":true},"macAllowOnly":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Lists all the Security 'MAC Allow Only' MAC addresses.</para>","nullable":true},"blockAccessStandardRASSessions":{"type":"boolean","description":"<para type=\"description\">Blocks new authentication to standard RAS sessions, preventing application listing and remote session launch. Existing sessions are not affected.</para>"},"blockAccessUserPortal":{"type":"boolean","description":"<para type=\"description\">Blocks access to the User Portal user interface, including portal login and related pages such as cookie policy and download. Other APIs may still be used.</para>"},"blockAccessSessionLaunchWebAPI":{"type":"boolean","description":"<para type=\"description\">Blocks new session launch through the Web API. Existing sessions are not affected.</para>"},"blockAccessSessionLaunchCBAPI":{"type":"boolean","description":"<para type=\"description\">Blocks new session launch through the Connection Broker API. Existing sessions are not affected.</para>"},"blockAccessDeprecatedWebAPI":{"type":"boolean","description":"<para type=\"description\">Blocks deprecated Web APIs to reduce security and compatibility risks.</para>"},"connectionLimits":{"$ref":"#/components/schemas/GWConnectionLimits"},"webAPISecret":{"type":"string","description":"<para type=\"description\">The secret used in the JWT (JSON Web Token) for data exchanged between the caller and User portal.</para>","nullable":true},"webRequestsURL":{"type":"string","description":"<para type=\"description\">The URL for Web requests.</para>","nullable":true},"webCookie":{"type":"string","description":"<para type=\"description\">The Web Cookie Name used by RAS.</para>","nullable":true},"useSecureWebCookie":{"type":"boolean","description":"<para type=\"description\">Adds the secure attribute to the cookie to the Web Cookie.</para>"},"allowWebSocketsWithMissingOrigin":{"type":"boolean","description":"<para type=\"description\">Allow Web Sockets with missing origin.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Secure Gateway</para>\r\n<para type=\"description\"></para>"},"IPVersion":{"enum":[["0 = Version4","1 = Version6","2 = BothVersions"]],"type":"string","description":"<para type=\"synopsis\">IP Version</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewayMode":{"enum":[["0 = Normal","1 = Forwarding"]],"type":"string","description":"<para type=\"synopsis\">RAS Secure GateWay Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"AcceptedSSLVersion":{"enum":[["2 = TLSv1","3 = TLSv1_1","4 = TLSv1_2","5 = TLSv1_3"]],"type":"string","description":"<para type=\"synopsis\">Accepted SSL Versions</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"CipherStrength":{"enum":[["0 = Low","1 = Medium","2 = High","3 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Cipher Strength</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"LaunchMethod":{"enum":[["0 = ParallelsClientAndWebClient","1 = ParallelsClient","2 = WebClient"]],"type":"string","description":"<para type=\"synopsis\">LaunchMethod</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"FileTransferControlMode":{"enum":[["0 = Disabled","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string","description":"<para type=\"synopsis\">File Transfer Control modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ClipboardDirections":{"enum":[["0 = None","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Clipboard Direction Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DetectClientMode":{"enum":[["0 = Automatic","1 = Manual"]],"type":"string","description":"<para type=\"synopsis\">Detect Client Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaySecurityMode":{"enum":[["0 = AllowAllExcept","1 = AllowOnly"]],"type":"string","description":"<para type=\"synopsis\">Security Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GWConnectionLimits":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the gateway limits are enabled or disabled.</para>"},"blockedTimeout":{"type":"integer","description":"<para type=\"description\">Client: The blocked timeout in minutes.</para>","format":"int32"},"allClientConnectionsLimit":{"type":"integer","description":"<para type=\"description\">Client: The maximum number of All Client Connections allowed (0 = Unlimited).</para>","format":"int32"},"backendLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Backend connections allowed (0 = Unlimited).</para>","format":"int32"},"allConnectionsLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of All Connections allowed (0 = Unlimited).</para>","format":"int32"},"excludedIPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IP4Range"},"description":"<para type=\"description\">Lists the excluded IPv4 addresses.</para>","nullable":true},"userPortalLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of User Portal connections allowed (0 = Unlimited).</para>","format":"int32"},"httpLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of HTTP connections allowed (0 = Unlimited).</para>","format":"int32"},"wyseLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of WYSE connections allowed (0 = Unlimited).</para>","format":"int32"},"clientLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Client connections allowed (0 = Unlimited).</para>","format":"int32"},"clientNewAuthLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Client NewAuth connections allowed (0 = Unlimited).</para>","format":"int32"},"clientTunnelingViaAPILimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Client Tunneling via API connections allowed (0 = Unlimited).</para>","format":"int32"},"excludedIPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IP6Range"},"description":"<para type=\"description\">Lists the excluded IPv6 addresses.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Secure Gateway Connection Limits</para>\r\n<para type=\"description\"></para>"},"IP4Range":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The IPv4 range</para>\r\n<para type=\"description\"></para>"},"IP6Range":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The IPv6 range</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve a specified RAS Secure Gateway Server.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Gateway/{id}":{"get":{"tags":["0-Infrastructure/Secure Gateways//0-Basic Operations"],"summary":"Get","description":"Retrieve a specified RAS Secure Gateway Server.","operationId":"1a3262d0-4933-4cda-ab2c-e461d00b504e","parameters":[{"name":"id","in":"path","description":"ID of the Gateway server to be retrieved","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/Gateway"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"Gateway":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"server":{"type":"string","description":"<para type=\"description\">Server name.</para>","nullable":true},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the server is enabled or not.</para>"},"description":{"type":"string","description":"<para type=\"description\">Description of the server.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">ID of the site.</para>","format":"int32"},"publicAddress":{"type":"string","description":"<para type=\"description\">The Public Address of the RAS Secure Gateway.</para>","nullable":true},"ipVersion":{"$ref":"#/components/schemas/IPVersion"},"iPs":{"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) IP addresses.</para>","nullable":true},"bindV4Addresses":{"type":"string","description":"<para type=\"description\">IPv4 address to bind to.</para>","nullable":true},"optimizeConnectionIPv4":{"type":"string","description":"<para type=\"description\">Optimize connection for the list of IPv4 (comma separated values).</para>","nullable":true},"bindV6Addresses":{"type":"string","description":"<para type=\"description\">IPv6 address to bind to.</para>","nullable":true},"optimizeConnectionIPv6":{"type":"string","description":"<para type=\"description\">Optimize connection for the list of IPv6 (comma separated values).</para>","nullable":true},"inheritDefaultModeSettings":{"type":"boolean","description":"<para type=\"description\">Whether default mode settings are enabled or disabled.</para>"},"inheritDefaultNetworkSettings":{"type":"boolean","description":"<para type=\"description\">Whether default network settings are enabled or disabled.</para>"},"inheritDefaultSslTlsSettings":{"type":"boolean","description":"<para type=\"description\">Whether default SSL/TLS settings are enabled or disabled.</para>"},"inheritDefaultUserPortalSettings":{"type":"boolean","description":"<para type=\"description\">Whether default User Portal settings are enabled or disabled.</para>"},"inheritDefaultWyseSettings":{"type":"boolean","description":"<para type=\"description\">Whether default wyse settings are enabled or disabled.</para>"},"inheritDefaultSecuritySettings":{"type":"boolean","description":"<para type=\"description\">Whether default security settings are enabled or disabled.</para>"},"inheritDefaultWebSettings":{"type":"boolean","description":"<para type=\"description\">Whether default web settings are enabled or disabled.</para>"},"mode":{"$ref":"#/components/schemas/GatewayMode"},"normalModeForwarding":{"type":"boolean","description":"<para type=\"description\">Whether forwarding requests to HTTP server are enabled or disabled.</para>"},"forwardGatewayServers":{"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) RAS Forwarding Secure Gateway Servers.</para>","nullable":true},"preferredConnectionBrokerId":{"type":"integer","description":"<para type=\"description\">ID of the Preferred Connection Broker.</para>","format":"int32"},"forwardHttpServers":{"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) Forwarding HTTP Servers.</para>","nullable":true},"enableGatewayPort":{"type":"boolean","description":"<para type=\"description\">Whether a custom RAS Secure Gateway port is enabled or disabled.</para>"},"gatewayPort":{"type":"integer","description":"<para type=\"description\">A custom RAS Secure Gateway port number.</para>","format":"int32"},"onlyAllowAcmeHttp":{"type":"boolean","description":"<para type=\"description\">Whether to ignore all incoming requests except for Acme ones received on 'GatewayPort'</para>"},"enableRDP":{"type":"boolean","description":"<para type=\"description\">Whether a custom RDP port is enabled or disabled.</para>"},"rdpPort":{"type":"integer","description":"<para type=\"description\">A custom RDP port number.</para>","format":"int32"},"broadcast":{"type":"boolean","description":"<para type=\"description\">Whether the 'Broadcast RAS Secure Gateway Address' option is enabled or disabled.</para>"},"enableRDPUDP":{"type":"boolean","description":"<para type=\"description\">Whether the 'RDP UDP Data Tunneling' option is enabled or disabled.</para>"},"enableDeviceManagerPort":{"type":"boolean","description":"<para type=\"description\">Whether the 'Device Manager Port' option is enabled or disabled.</para>"},"dosPro":{"type":"boolean","description":"<para type=\"description\">Whether the 'RDP DOS Attack Filter' option is enabled or disabled.</para>"},"enableSSL":{"type":"boolean","description":"<para type=\"description\">Whether SSL is enabled or disabled.</para>"},"sslPort":{"type":"integer","description":"<para type=\"description\">SSL port number.</para>","format":"int32"},"minSSLVersion":{"$ref":"#/components/schemas/AcceptedSSLVersion"},"cipherStrength":{"$ref":"#/components/schemas/CipherStrength"},"cipher":{"type":"string","description":"<para type=\"description\">Cipher string.</para>","nullable":true},"cipherPreference":{"type":"boolean","description":"<para type=\"description\">Enable or disable Use ciphers according to server preference.</para>"},"certificateId":{"type":"integer","description":"<para type=\"description\">The ID of the specific Certificate to be used.</para>","format":"int32"},"enableHSTS":{"type":"boolean","description":"<para type=\"description\">Whether HSTS is enabled or disabled.</para>"},"hstsMaxAge":{"type":"integer","description":"<para type=\"description\">Set Maximum Age of HSTS.</para>","format":"int32"},"hstsIncludeSubdomains":{"type":"boolean","description":"<para type=\"description\">Whether HSTS to include subdomains option is enabled or disabled.</para>"},"hstsPreload":{"type":"boolean","description":"<para type=\"description\">Whether HSTS to preload option is enabled or disabled.</para>"},"enableUserPortal":{"type":"boolean","description":"<para type=\"description\">Whether User Portal connectivity on the RAS Secure Gateway is enabled or disabled.</para>"},"userPortalPort":{"type":"integer","description":"<para type=\"description\">A custom User Portal port number.</para>","format":"int32"},"launchMethod":{"$ref":"#/components/schemas/LaunchMethod"},"allowLaunchMethod":{"type":"boolean","description":"<para type=\"description\">Allow users to select a resource launch method.</para>"},"allowAppsInNewTab":{"type":"boolean","description":"<para type=\"description\">Allow users to start applications in a new browser tab.</para>"},"usePreWin2000LoginFormat":{"type":"boolean","description":"<para type=\"description\">Whether the 'Use Pre Windows 2000 Login Format' option is enabled or disabled.</para>"},"allowEmbed":{"type":"boolean","description":"<para type=\"description\">Allow embedding of Web Client into other web pages.</para>"},"useAutoKeyboardDetect":{"type":"boolean","description":"<para type=\"description\">Use automatic keyboard layout detection.</para>"},"fileTransferMode":{"$ref":"#/components/schemas/FileTransferControlMode"},"clipboardDirection":{"$ref":"#/components/schemas/ClipboardDirections"},"allowCORS":{"type":"boolean","description":"<para type=\"description\">Allow cross-origin resource sharing.</para>"},"useClientIPDetectionService":{"type":"boolean","description":"<para type=\"description\">Use Client IP detection service.</para>"},"clientIPPDetectionServiceURL":{"type":"string","description":"<para type=\"description\">Client IP detection service URL.</para>","nullable":true},"detectClientMode":{"$ref":"#/components/schemas/DetectClientMode"},"clientDetectionTimeout":{"type":"integer","description":"<para type=\"description\">Client detection timeout in seconds.</para>","format":"int32"},"browserCacheTimeInMonths":{"type":"integer","description":"<para type=\"description\">How long should the browser preserve the cache (in months).</para>","format":"int32"},"allowedDomainsForCORS":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Allowed domains for cross-origin resource sharing.</para>","nullable":true},"enableAlternateNLBHost":{"type":"boolean","description":"<para type=\"description\">Whether alternate NLB Host is enabled or disabled.</para>"},"alternateNLBHost":{"type":"string","description":"<para type=\"description\">Alternate NLB Host name.</para>","nullable":true},"enableAlternateNLBPort":{"type":"boolean","description":"<para type=\"description\">Whether alternate NLB Port is enabled or disabled.</para>"},"alternateNLBPort":{"type":"integer","description":"<para type=\"description\">Alternate NLB Port number.</para>","format":"int32"},"enableWyseSupport":{"type":"boolean","description":"<para type=\"description\">Whether support for Wyse Thin Client OS is enabled or disabled.</para>"},"disableWyseCertWarn":{"type":"boolean","description":"<para type=\"description\">Whether warning if server certificate is not verified is enabled or disabled.</para>"},"securityMode":{"$ref":"#/components/schemas/GatewaySecurityMode"},"macAllowExcept":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Lists all the Security 'MAC Allow Except' MAC addresses.</para>","nullable":true},"macAllowOnly":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Lists all the Security 'MAC Allow Only' MAC addresses.</para>","nullable":true},"blockAccessStandardRASSessions":{"type":"boolean","description":"<para type=\"description\">Blocks new authentication to standard RAS sessions, preventing application listing and remote session launch. Existing sessions are not affected.</para>"},"blockAccessUserPortal":{"type":"boolean","description":"<para type=\"description\">Blocks access to the User Portal user interface, including portal login and related pages such as cookie policy and download. Other APIs may still be used.</para>"},"blockAccessSessionLaunchWebAPI":{"type":"boolean","description":"<para type=\"description\">Blocks new session launch through the Web API. Existing sessions are not affected.</para>"},"blockAccessSessionLaunchCBAPI":{"type":"boolean","description":"<para type=\"description\">Blocks new session launch through the Connection Broker API. Existing sessions are not affected.</para>"},"blockAccessDeprecatedWebAPI":{"type":"boolean","description":"<para type=\"description\">Blocks deprecated Web APIs to reduce security and compatibility risks.</para>"},"connectionLimits":{"$ref":"#/components/schemas/GWConnectionLimits"},"webAPISecret":{"type":"string","description":"<para type=\"description\">The secret used in the JWT (JSON Web Token) for data exchanged between the caller and User portal.</para>","nullable":true},"webRequestsURL":{"type":"string","description":"<para type=\"description\">The URL for Web requests.</para>","nullable":true},"webCookie":{"type":"string","description":"<para type=\"description\">The Web Cookie Name used by RAS.</para>","nullable":true},"useSecureWebCookie":{"type":"boolean","description":"<para type=\"description\">Adds the secure attribute to the cookie to the Web Cookie.</para>"},"allowWebSocketsWithMissingOrigin":{"type":"boolean","description":"<para type=\"description\">Allow Web Sockets with missing origin.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Secure Gateway</para>\r\n<para type=\"description\"></para>"},"IPVersion":{"enum":[["0 = Version4","1 = Version6","2 = BothVersions"]],"type":"string","description":"<para type=\"synopsis\">IP Version</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewayMode":{"enum":[["0 = Normal","1 = Forwarding"]],"type":"string","description":"<para type=\"synopsis\">RAS Secure GateWay Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"AcceptedSSLVersion":{"enum":[["2 = TLSv1","3 = TLSv1_1","4 = TLSv1_2","5 = TLSv1_3"]],"type":"string","description":"<para type=\"synopsis\">Accepted SSL Versions</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"CipherStrength":{"enum":[["0 = Low","1 = Medium","2 = High","3 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Cipher Strength</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"LaunchMethod":{"enum":[["0 = ParallelsClientAndWebClient","1 = ParallelsClient","2 = WebClient"]],"type":"string","description":"<para type=\"synopsis\">LaunchMethod</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"FileTransferControlMode":{"enum":[["0 = Disabled","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string","description":"<para type=\"synopsis\">File Transfer Control modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ClipboardDirections":{"enum":[["0 = None","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Clipboard Direction Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DetectClientMode":{"enum":[["0 = Automatic","1 = Manual"]],"type":"string","description":"<para type=\"synopsis\">Detect Client Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaySecurityMode":{"enum":[["0 = AllowAllExcept","1 = AllowOnly"]],"type":"string","description":"<para type=\"synopsis\">Security Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GWConnectionLimits":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the gateway limits are enabled or disabled.</para>"},"blockedTimeout":{"type":"integer","description":"<para type=\"description\">Client: The blocked timeout in minutes.</para>","format":"int32"},"allClientConnectionsLimit":{"type":"integer","description":"<para type=\"description\">Client: The maximum number of All Client Connections allowed (0 = Unlimited).</para>","format":"int32"},"backendLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Backend connections allowed (0 = Unlimited).</para>","format":"int32"},"allConnectionsLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of All Connections allowed (0 = Unlimited).</para>","format":"int32"},"excludedIPv4s":{"type":"array","items":{"$ref":"#/components/schemas/IP4Range"},"description":"<para type=\"description\">Lists the excluded IPv4 addresses.</para>","nullable":true},"userPortalLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of User Portal connections allowed (0 = Unlimited).</para>","format":"int32"},"httpLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of HTTP connections allowed (0 = Unlimited).</para>","format":"int32"},"wyseLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of WYSE connections allowed (0 = Unlimited).</para>","format":"int32"},"clientLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Client connections allowed (0 = Unlimited).</para>","format":"int32"},"clientNewAuthLimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Client NewAuth connections allowed (0 = Unlimited).</para>","format":"int32"},"clientTunnelingViaAPILimit":{"type":"integer","description":"<para type=\"description\">Global: The maximum number of Client Tunneling via API connections allowed (0 = Unlimited).</para>","format":"int32"},"excludedIPv6s":{"type":"array","items":{"$ref":"#/components/schemas/IP6Range"},"description":"<para type=\"description\">Lists the excluded IPv6 addresses.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Secure Gateway Connection Limits</para>\r\n<para type=\"description\"></para>"},"IP4Range":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The IPv4 range</para>\r\n<para type=\"description\"></para>"},"IP6Range":{"type":"object","properties":{"from":{"type":"string","nullable":true},"to":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">The IPv6 range</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify the properties of a RAS Secure Gateway Server.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Gateway/{id}":{"put":{"tags":["0-Infrastructure/Secure Gateways//0-Basic Operations"],"summary":"Update","description":"Modify the properties of a RAS Secure Gateway Server.","operationId":"3e3c4334-946a-4cc8-9952-2648fe7b53f4","parameters":[{"name":"id","in":"path","description":"ID of the Gateway server to be updated","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"The Gateway server to be updated","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetGateway"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetGateway":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Enable or disable the specified Secure Gateway.</para>","nullable":true},"server":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The new Secure Gateway name. The name must be either a valid FQDN or a valid IP address.</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">A user-defined Secure Gateway description.</para>","nullable":true},"publicAddress":{"type":"string","description":"<para type=\"description\">The Public Address of the Secure Gateway.</para>","nullable":true},"ipVersion":{"$ref":"#/components/schemas/IPVersion"},"iPs":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) IP addresses.</para>","nullable":true},"bindV4Addresses":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">IPv4 address to bind to.</para>\r\n<para type=\"description\">If '0.0.0.0' is passed, will bind to all available addresses.</para>\r\n<para type=\"description\">When using a specific address, it has to be available in the IPv4 address list.</para>","nullable":true},"optimizeConnectionIPv4":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Optimize connection for the list of IPv4 (comma separated values).</para>","nullable":true},"bindV6Addresses":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">IPv6 address to bind to.</para>\r\n<para type=\"description\">If '::' is passed, will bind to all available addresses.</para>\r\n<para type=\"description\">When using a specific address, it has to be available in the IPv6 address list.</para>","nullable":true},"optimizeConnectionIPv6":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Optimize connection for the list of IPv6 (comma separated values).</para>","nullable":true},"inheritDefaultModeSettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable default mode settings.</para>","nullable":true},"inheritDefaultNetworkSettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable default network settings.</para>","nullable":true},"inheritDefaultSslTlsSettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable default SSL/TLS setting.</para>","nullable":true},"inheritDefaultUserPortalSettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable default User Portal settings.</para>","nullable":true},"inheritDefaultWyseSettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable default wyse settings.</para>","nullable":true},"inheritDefaultSecuritySettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable default security settingsd.</para>","nullable":true},"inheritDefaultWebSettings":{"type":"boolean","description":"<para type=\"description\">Enable or disable default web settings.</para>","nullable":true},"mode":{"$ref":"#/components/schemas/GatewayMode"},"normalModeForwarding":{"type":"boolean","description":"<para type=\"description\">Forward requests to HTTP server.</para>","nullable":true},"forwardGatewayServers":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) Forwarding Gateway Servers.</para>\r\n<para type=\"description\">E.g. localhost:80, web1</para>","nullable":true},"autoPreferredConnectionBroker":{"type":"boolean","description":"<para type=\"description\">Set preferred Connection Broker Automatically.</para>","default":false},"preferredConnectionBrokerId":{"type":"integer","description":"<para type=\"description\">The preferred Connection Broker ID.</para>","format":"int32","nullable":true},"forwardHttpServers":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">One or multiple (separated by comma) Forwarding HTTP Servers.</para>\r\n<para type=\"description\">E.g. localhost:81, web1</para>","nullable":true},"enableGatewayPort":{"type":"boolean","description":"<para type=\"description\">Enable or disable a custom RAS Secure Gateway port.</para>\r\n<para type=\"description\">To specify a custom port, set this parameter to True and use the GatewayPort parameter to specify the port number.</para>","nullable":true},"gatewayPort":{"type":"integer","description":"<para type=\"description\">A custom Gateway port number. For this port to take effect, the EnableGatewayPort parameters must be set to $True.</para>","format":"int32","nullable":true},"onlyAllowAcmeHttp":{"type":"boolean","description":"<para type=\"description\">Whether to ignore all incoming requests except for Acme ones received on 'GatewayPort'</para>","nullable":true},"enableRDP":{"type":"boolean","description":"<para type=\"description\">Enable or disable a custom RDP port.</para>\r\n<para type=\"description\">To specify a custom port number, use the RDPPort parameter.</para>","nullable":true},"rdpPort":{"type":"integer","description":"<para type=\"description\">A custom RDP port number. For this port to take effect, the EnableRDPPort parameter must be set to True.</para>","format":"int32","nullable":true},"broadcast":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Broadcast RAS Secure Gateway Address' option.</para>","nullable":true},"enableRDPUDP":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'RDP UDP Data Tunneling' option.</para>","nullable":true},"enableDeviceManagerPort":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Device Manager Port' option.</para>","nullable":true},"dosPro":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'RDP DOS Attack Filter' option.</para>","nullable":true},"enableSSL":{"type":"boolean","description":"<para type=\"description\">Enable or disable SSL on the port specified in the SSLPort parameter.</para>","nullable":true},"sslPort":{"type":"integer","description":"<para type=\"description\">SSL port number. To enable the port, set the EnableSSL port parameter to True.</para>","format":"int32","nullable":true},"minSSLVersion":{"$ref":"#/components/schemas/AcceptedSSLVersion"},"cipherStrength":{"$ref":"#/components/schemas/CipherStrength"},"cipher":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Cipher string.</para>","nullable":true},"cipherPreference":{"type":"boolean","description":"<para type=\"description\">Enable or disable Use ciphers according to server preference.</para>","nullable":true},"autoCertificate":{"type":"boolean","description":"<para type=\"description\">Set Certificate Automatically.</para>","default":false},"certificateId":{"type":"integer","description":"<para type=\"description\">The Certificate ID.</para>\r\n<para type=\"description\">Certificate Set Priority 2. This value will be ignored if a CertificateObj is specified.</para>","format":"int32","nullable":true},"enableHSTS":{"type":"boolean","description":"<para type=\"description\">Enable or disable HSTS.</para>\r\n<para type=\"description\">To specify a custom HSTS Age, set this parameter to True and use the HSTSMaxAge parameter to specify the HSTS maximum age.</para>","nullable":true},"hstsMaxAge":{"type":"integer","description":"<para type=\"description\">Specifies the HSTS maximum age.</para>","format":"int32","nullable":true},"hstsIncludeSubdomains":{"type":"boolean","description":"<para type=\"description\">Enable or disable the HSTS sub-domains.</para>","nullable":true},"hstsPreload":{"type":"boolean","description":"<para type=\"description\">Enable or disable the HSTS preload.</para>","nullable":true},"enableUserPortal":{"type":"boolean","description":"<para type=\"description\">Enable or disable User Portal connectivity on the Gateway.</para>","nullable":true},"userPortalPort":{"type":"integer","description":"<para type=\"description\">A custom User Portal port number.</para>","format":"int32","nullable":true},"launchMethod":{"$ref":"#/components/schemas/LaunchMethod"},"allowLaunchMethod":{"type":"boolean","description":"<para type=\"description\">Allow users to select a resource launch method.</para>","nullable":true},"allowAppsInNewTab":{"type":"boolean","description":"<para type=\"description\">Allow users to start applications in a new browser tab.</para>","nullable":true},"usePreWin2000LoginFormat":{"type":"boolean","description":"<para type=\"description\">Enable or disable the 'Use Pre Windows 2000 Login Format' option.</para>","nullable":true},"allowEmbed":{"type":"boolean","description":"<para type=\"description\">Allow embedding of Web Client into other web pages.</para>","nullable":true},"useAutoKeyboardDetect":{"type":"boolean","description":"<para type=\"description\">Use automatic keyboard layout detection.</para>","nullable":true},"fileTransferMode":{"$ref":"#/components/schemas/FileTransferControlMode"},"clipboardDirection":{"$ref":"#/components/schemas/ClipboardDirections"},"allowCORS":{"type":"boolean","description":"<para type=\"description\">Allow cross-origin resource sharing.</para>","nullable":true},"allowedDomainsForCORS":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Allowed domains for cross-origin resource sharing.</para>","nullable":true},"useClientIPDetectionService":{"type":"boolean","description":"<para type=\"description\">Use Client IP detection service.</para>","nullable":true},"clientIPPDetectionServiceURL":{"type":"string","description":"<para type=\"description\">Client IP detection service URL.</para>","nullable":true},"detectClientMode":{"$ref":"#/components/schemas/DetectClientMode"},"clientDetectionTimeout":{"type":"integer","description":"<para type=\"description\">Client detection timeout in seconds.</para>","format":"int32","nullable":true},"browserCacheTimeInMonths":{"type":"integer","description":"<para type=\"description\">How long should the browser preserve the cache (in months).</para>","format":"int32","nullable":true},"enableAlternateNLBHost":{"type":"boolean","description":"<para type=\"description\">Enable or disable Alternate NLB host name specified in the EnableAlternateNLBHost parameter.</para>","nullable":true},"alternateNLBHost":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Alternate NLB host name. To enable the host name, set the EnableAlternateNLBHost port parameter to True.</para>","nullable":true},"enableAlternateNLBPort":{"type":"boolean","description":"<para type=\"description\">Enable or disable Alternate NLB on the port specified in the AlternateNLBPort parameter.</para>","nullable":true},"alternateNLBPort":{"type":"integer","description":"<para type=\"description\">Alternate NLB port number. To enable the port, set the EnableAlternateNLBPort port parameter to True.</para>","format":"int32","nullable":true},"enableWyseSupport":{"type":"boolean","description":"<para type=\"description\">Enable or disable Wyse ThinOS support.</para>","nullable":true},"disableWyseCertWarn":{"type":"boolean","description":"<para type=\"description\">Enable or disable the warning if server certificate is not verified.</para>","nullable":true},"securityMode":{"$ref":"#/components/schemas/GatewaySecurityMode"},"macAllowExcept":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Specifies the Security 'MAC Allow Except' MAC addresses.</para>","nullable":true},"macAllowOnly":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Specifies the Security 'MAC Allow Only' MAC addresses.</para>","nullable":true},"blockAccessStandardRASSessions":{"type":"boolean","description":"<para type=\"description\">Blocks new authentication to standard RAS sessions, preventing application listing and remote session launch. Existing sessions are not affected.</para>","nullable":true},"blockAccessUserPortal":{"type":"boolean","description":"<para type=\"description\">Blocks access to the User Portal user interface, including portal login and related pages such as cookie policy and download. Other APIs may still be used.</para>","nullable":true},"blockAccessSessionLaunchWebAPI":{"type":"boolean","description":"<para type=\"description\">Blocks new session launch through the Web API. Existing sessions are not affected. BlockAccessSessionLaunchWebAPI enforces blocking of deprecated Web APIs.</para>","nullable":true},"blockAccessSessionLaunchCBAPI":{"type":"boolean","description":"<para type=\"description\">Blocks new session launch through the Connection Broker API. Existing sessions are not affected.</para>","nullable":true},"blockAccessDeprecatedWebAPI":{"type":"boolean","description":"<para type=\"description\">Blocks deprecated Web APIs to reduce security and compatibility risks. The BlockAccessDeprecatedWebAPI parameter can only be set if BlockAccessSessionLaunchWebAPI is disabled.</para>","nullable":true},"limitsEnabled":{"type":"boolean","description":"<para type=\"description\">Whether the gateway limits are enabled or disabled.</para>","nullable":true},"blockedTimeout":{"type":"integer","description":"<para type=\"description\">Client: The blocked timeout in minutes.</para>","format":"int32","nullable":true},"allClientConnectionsLimit":{"type":"integer","description":"<para type=\"description\">Client: The maximum number of All Client Connections allowed (0 = Unlimited).</para>","format":"int32","nullable":true},"userPortalLimit":{"type":"integer","description":"<para type=\"description\">The maximum number of User Portal connections allowed (0 = Unlimited).</para>","format":"int32","nullable":true},"httpLimit":{"type":"integer","description":"<para type=\"description\">The maximum number of HTTP connections allowed (0 = Unlimited).</para>","format":"int32","nullable":true},"wyseLimit":{"type":"integer","description":"<para type=\"description\">The maximum number of WYSE connections allowed (0 = Unlimited).</para>","format":"int32","nullable":true},"clientLimit":{"type":"integer","description":"<para type=\"description\">The maximum number of Client connections allowed (0 = Unlimited).</para>","format":"int32","nullable":true},"clientNewAuthLimit":{"type":"integer","description":"<para type=\"description\">The maximum number of Client NewAuth connections allowed (0 = Unlimited).</para>","format":"int32","nullable":true},"clientTunnelingViaAPILimit":{"type":"integer","description":"<para type=\"description\">The maximum number of Client Tunneling via API connections allowed (0 = Unlimited).</para>","format":"int32","nullable":true},"backendLimit":{"type":"integer","description":"<para type=\"description\">The maximum number of Backend connections allowed (0 = Unlimited).</para>","format":"int32","nullable":true},"allConnectionsLimit":{"type":"integer","description":"<para type=\"description\">The maximum number of All Connections allowed (0 = Unlimited).</para>","format":"int32","nullable":true},"webAPISecret":{"type":"string","description":"<para type=\"description\">The secret used in the JWT (JSON Web Token) for data exchanged between the caller and User portal.</para>","nullable":true},"webRequestsURL":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Set a URL for Web requests.</para>\r\n<para type=\"description\">This is the URL that will open when a user enters the IP address</para>\r\n<para type=\"description\">of the RAS Secure Gateway server in a web browser.</para>\r\n<para type=\"description\">For the URL to work, the gateway mode must be set to Normal.</para>","nullable":true},"webCookie":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Set the Web Cookie Name used by RAS.</para>","nullable":true},"useSecureWebCookie":{"type":"boolean","description":"<para type=\"description\">Enable or disable the addition of the secure attribute to the cookie to the Web Cookie.</para>","nullable":true},"allowWebSocketsWithMissingOrigin":{"type":"boolean","description":"<para type=\"description\">Enable or disable the use of Web Sockets with missing origin.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update a Secure Gateway settings</para>\r\n<para type=\"description\"></para>"},"IPVersion":{"enum":[["0 = Version4","1 = Version6","2 = BothVersions"]],"type":"string","description":"<para type=\"synopsis\">IP Version</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewayMode":{"enum":[["0 = Normal","1 = Forwarding"]],"type":"string","description":"<para type=\"synopsis\">RAS Secure GateWay Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"AcceptedSSLVersion":{"enum":[["2 = TLSv1","3 = TLSv1_1","4 = TLSv1_2","5 = TLSv1_3"]],"type":"string","description":"<para type=\"synopsis\">Accepted SSL Versions</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"CipherStrength":{"enum":[["0 = Low","1 = Medium","2 = High","3 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Cipher Strength</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"LaunchMethod":{"enum":[["0 = ParallelsClientAndWebClient","1 = ParallelsClient","2 = WebClient"]],"type":"string","description":"<para type=\"synopsis\">LaunchMethod</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"FileTransferControlMode":{"enum":[["0 = Disabled","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string","description":"<para type=\"synopsis\">File Transfer Control modes.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ClipboardDirections":{"enum":[["0 = None","1 = ClientToServer","2 = ServerToClient","3 = Bidirectional"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Clipboard Direction Type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"DetectClientMode":{"enum":[["0 = Automatic","1 = Manual"]],"type":"string","description":"<para type=\"synopsis\">Detect Client Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"GatewaySecurityMode":{"enum":[["0 = AllowAllExcept","1 = AllowOnly"]],"type":"string","description":"<para type=\"synopsis\">Security Mode</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Delete a RAS Secure Gateway Server.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Gateway/{id}":{"delete":{"tags":["0-Infrastructure/Secure Gateways//0-Basic Operations"],"summary":"Delete","description":"Delete a RAS Secure Gateway Server.","operationId":"c0fa924e-78fb-4472-b83d-6f15395c991f","parameters":[{"name":"noUninstall","in":"query","description":"When this parameter is included, the Gateway software will not be removed from the server.\r\n            If you want to remove the software, omit this parameter.\r\n            When removing the software, your RAS admin credentials will be used to remotely execute the uninstaller on the target server.\r\n            You can specify different credentials if needed using the Username and Password parameters.","schema":{"type":"boolean"}},{"name":"username","in":"query","description":"An administrator account name to remotely uninstall the Gateway software from the server.\r\n            If this parameter is omitted, your RAS admin username (and password) will be used.","schema":{"type":"string"}},{"name":"password","in":"query","description":"The password of the account specified in the Username parameter.","schema":{"type":"string"}},{"name":"id","in":"path","description":"ID of the Gateway server to be deleted","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/gateway.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
